Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.persistence
Class FieldAccessor

    java.lang.Object
      de.grogra.persistence.FieldAccessor

Direct Known Subclasses:
  Node.FieldAttributeAccessor

    public class FieldAccessor

extends java.lang.Object

Field Summary
`protected Field` | `field`

Constructor Summary
`FieldAccessor(Field field)`

Method Summary
`boolean` | `getBoolean(java.lang.Object object)`
`byte` | `getByte(java.lang.Object object)`
`char` | `getChar(java.lang.Object object)`
`double` | `getDouble(java.lang.Object object)`
`float` | `getFloat(java.lang.Object object)`
`int` | `getInt(java.lang.Object object)`
`long` | `getLong(java.lang.Object object)`
`java.lang.Object` | `getObject(java.lang.Object object)`
`short` | `getShort(java.lang.Object object)`
`Type` | `getType()`
`boolean` | `setBoolean(java.lang.Object object, boolean value, Transaction t)`
`byte` | `setByte(java.lang.Object object, byte value, Transaction t)`
`char` | `setChar(java.lang.Object object, char value, Transaction t)`
`double` | `setDouble(java.lang.Object object, double value, Transaction t)`
`float` | `setFloat(java.lang.Object object, float value, Transaction t)`
`int` | `setInt(java.lang.Object object, int value, Transaction t)`
`long` | `setLong(java.lang.Object object, long value, Transaction t)`
`java.lang.Object` | `setObject(java.lang.Object object, java.lang.Object value, Transaction t)`
`short` | `setShort(java.lang.Object object, short value, Transaction t)`
`java.lang.Object` | `setSubfield(java.lang.Object object, FieldChain fields, int[] indices, java.lang.Object value, Transaction t)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### field

    protected final Field field

Constructor Detail

### FieldAccessor

    public FieldAccessor(Field field)

Method Detail

### getBoolean

    public boolean getBoolean(java.lang.Object object)
                       throws java.lang.IllegalAccessException

  Throws:
    `java.lang.IllegalAccessException`

### getByte

    public byte getByte(java.lang.Object object)
                 throws java.lang.IllegalAccessException

  Throws:
    `java.lang.IllegalAccessException`

### getChar

    public char getChar(java.lang.Object object)
                 throws java.lang.IllegalAccessException

  Throws:
    `java.lang.IllegalAccessException`

### getDouble

    public double getDouble(java.lang.Object object)
                     throws java.lang.IllegalAccessException

  Throws:
    `java.lang.IllegalAccessException`

### getFloat

    public float getFloat(java.lang.Object object)
                   throws java.lang.IllegalAccessException

  Throws:
    `java.lang.IllegalAccessException`

### getInt

    public int getInt(java.lang.Object object)
               throws java.lang.IllegalAccessException

  Throws:
    `java.lang.IllegalAccessException`

### getLong

    public long getLong(java.lang.Object object)
                 throws java.lang.IllegalAccessException

  Throws:
    `java.lang.IllegalAccessException`

### getObject

    public java.lang.Object getObject(java.lang.Object object)
                               throws java.lang.IllegalAccessException

  Throws:
    `java.lang.IllegalAccessException`

### getShort

    public short getShort(java.lang.Object object)
                   throws java.lang.IllegalAccessException

  Throws:
    `java.lang.IllegalAccessException`

### getType

    public Type getType()

### setBoolean

    public boolean setBoolean(java.lang.Object object,
                              boolean value,
                              Transaction t)
                       throws java.lang.IllegalAccessException

  Throws:
    `java.lang.IllegalAccessException`

### setByte

    public byte setByte(java.lang.Object object,
                        byte value,
                        Transaction t)
                 throws java.lang.IllegalAccessException

  Throws:
    `java.lang.IllegalAccessException`

### setChar

    public char setChar(java.lang.Object object,
                        char value,
                        Transaction t)
                 throws java.lang.IllegalAccessException

  Throws:
    `java.lang.IllegalAccessException`

### setDouble

    public double setDouble(java.lang.Object object,
                            double value,
                            Transaction t)
                     throws java.lang.IllegalAccessException

  Throws:
    `java.lang.IllegalAccessException`

### setFloat

    public float setFloat(java.lang.Object object,
                          float value,
                          Transaction t)
                   throws java.lang.IllegalAccessException

  Throws:
    `java.lang.IllegalAccessException`

### setInt

    public int setInt(java.lang.Object object,
                      int value,
                      Transaction t)
               throws java.lang.IllegalAccessException

  Throws:
    `java.lang.IllegalAccessException`

### setLong

    public long setLong(java.lang.Object object,
                        long value,
                        Transaction t)
                 throws java.lang.IllegalAccessException

  Throws:
    `java.lang.IllegalAccessException`

### setObject

    public java.lang.Object setObject(java.lang.Object object,
                                      java.lang.Object value,
                                      Transaction t)
                               throws java.lang.IllegalAccessException

  Throws:
    `java.lang.IllegalAccessException`

### setShort

    public short setShort(java.lang.Object object,
                          short value,
                          Transaction t)
                   throws java.lang.IllegalAccessException

  Throws:
    `java.lang.IllegalAccessException`

### setSubfield

    public java.lang.Object setSubfield(java.lang.Object object,
                                        FieldChain fields,
                                        int[] indices,
                                        java.lang.Object value,
                                        Transaction t)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD